Name:           rgbds
Version:        0.2.5
Release:        2%{?dist}
Summary:        A development package for the Game Boy, including an assembler

# See LICENSE for details
License:        DWPL and ISC and MIT and BSD
URL:            https://github.com/rednex/%{name}
Source0:        https://github.com/rednex/%{name}/archive/v%{version}.tar.gz

# Parametrize install parameters in Makefile to support debuginfo builds
# https://github.com/rednex/rgbds/pull/143
Patch0:         rgbds-0.2.5-parametrize-makefile.patch

BuildRequires:  gcc byacc libpng-devel

%description
RGBDS (Rednex Game Boy Development System) is a free assembler/linker package
for the Game Boy and Game Boy Color.

It consists of:

* rgbasm (assembler)
* rgblink (linker)
* rgbfix (checksum/header fixer)
* rgbgfx (PNG‐to‐2bpp graphics converter)

%prep
%autosetup


%build
%make_build Q="" CFLAGS="%{optflags}"


%install
make install PREFIX=%{buildroot}/usr/ BINPREFIX=%{buildroot}%{_bindir} MANPREFIX=%{buildroot}%{_mandir} BINMODE=0755 STRIP="" Q=""


%files
%{_bindir}/rgbasm
%{_bindir}/rgblink
%{_bindir}/rgbfix
%{_bindir}/rgbgfx
%{_mandir}/man1/rgbasm.1.*
%{_mandir}/man1/rgblink.1.*
%{_mandir}/man1/rgbfix.1.*
%{_mandir}/man1/rgbgfx.1.*
%{_mandir}/man7/rgbds.7.*

%license LICENSE
%doc README.md



%changelog
* Sun Mar 26 2017 Sanqui <gsanky@gmail.com> - 0.2.5-2
- Add newlines between changelog entries in the specfile

* Sat Mar 25 2017 Sanqui <gsanky@gmail.com> - 0.2.5-1
- Patch the Makefie to prevent stripping symbols
- Enable debuginfo build

* Fri Mar  3 2017 Sanqui <gsanky@gmail.com> - 0.2.4-2
- Correct license (added BSD)
- Remove commented out Requires:
- Change Q= to Q=""
- Honor optflags

* Wed Mar  1 2017 Sanqui <gsanky@gmail.com> - 0.2.4-1
- Initial package
